const secondsContainer = document.querySelector("#seconds");
const minutesContainer = document.querySelector("#minutes");
const hoursContainer = document.querySelector("#hours");
const daysContainer = document.querySelector("#days");
const nextYearContainer = document.querySelector("#year");
const spinnerLoading = document.querySelector("#loading");
const countdownContainer = document.querySelector("#countdown");

const newtYear = "2024";
const newYearTime = new Date(`January 01 ${newtYear} 00:00:00`);

nextYearContainer.textContent = newtYear;

const getTimeUnit = unit => unit < 10 ? "0" + unit : unit;

const insertCountdownValues = ({ days, hours, minutes, seconds }) => {
  secondsContainer.textContent = getTimeUnit(seconds);
  minutesContainer.textContent = getTimeUnit(minutes);
  hoursContainer.textContent = getTimeUnit(hours);
  daysContainer.textContent = getTimeUnit(days);
};

const updateCountdown = () => {
  const currentTime = new Date();
  const difference = newYearTime - currentTime;
  const days = Math.floor(difference / 1000 / 60 / 60 / 24);
  const hours = Math.floor(difference / 1000 / 60 / 60) % 24;
  const minutes = Math.floor(difference / 1000 / 60) % 60;
  const seconds = Math.floor(difference / 1000) % 60;

  if (days == 00 && hours == 00 && minutes == 0 && seconds == 0 || days > 310 || days == -1) {
    document.body.style.backgroundImage = "url('9d1b8fa0157d75f35eede28edc57bd82.gif')";
    countdown.style.display = "none";
    fogos.style.display = "block";
    document.getElementById("titulo").innerHTML="FELIZ ANO NOVO!";
    document.getElementById("titulo").style.fontSize = "9.5vw";
  }

  insertCountdownValues({ days, hours, minutes, seconds });

};

const handleCountdownDisplay = () => {
  spinnerLoading.remove();
  countdownContainer.style.display = "flex";
};

setTimeout(handleCountdownDisplay, 1000);

setInterval(updateCountdown, 1000);